Subject: Re: [http-auth] rev'd charter-like text

From: Paul Leach <[email-masked]>
Date: Tue, 13 Nov 2012 23:05:37 +0000

No, there is no extra round trip.

Sent from Windows Mail

From: Michael Thomas
Sent: ‎November‎ ‎13‎, ‎2012 ‎8‎:‎15‎ ‎AM
To: Yoav Nir
CC: Mark Nottingham, [email-masked], Paul Hoffman
Subject: Re: [http-auth] rev'd charter-like text

On 11/13/2012 08:10 AM, Yoav Nir wrote:
> On Nov 13, 2012, at 5:59 PM, Paul Hoffman wrote:
>>> As far as I understand "digest", it hashes together the username, password, realm, visible nonce, and some other things, all of which are either sent in the clear or are predictable (except the password).
>>>
>>> So the best attack against it is an offline dictionary attack, unless you can think up some truly random passwords.
>>>
>>> If you could not guess the password, then I can see how MD5 is worse than SHA-1, SHA2-256 or SHA3-512. But if you can succeed with an offline dictionary attack, what's the advantage of using the better hashes?
>> Attacking the crypto would require a preimage attack, which we don't have for MD5. However, when used with passwords, the effort for the dictionary attack is approximately similar (testing SHA-256 is slower than testing MD5, but not so much as to be much of a protection). So all hash algorithms are equally good if the secret is random and large, and ~equally bad if the secret is a password. Given that, I would say SHA-256 should be a MUST, and MD5 is a SHOULD only for backward compatibility.
> Currently, only MD5 is defined. Adding (or moving to) SHA2-256 does not make any difference as far as security. So why bother at all?
>

Correct me if I'm wrong, but doesn't Digest require an additional round
trip to get the nonce each http request? If that's correct, I think Digest
is pretty much a non-starter just because of performance considerations.
If Digest were resurrected in conjunction with some form of session
management, it would be better than Basic, but just adding SHA2 doesn't
address the basic issues of why nobody uses it.

Mike
_______________________________________________
http-auth mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/http-auth